library(ggplot2)
library(tidyr)
library(scales)

#faili sisselugemine ja andmete formaadi korrigeerimine
J334=read.csv("PT3-T3.3-J3.3.4.csv",header=TRUE, encoding ="UTF-8")[1:6,]
names(J334)=sub("\\."," ",names(J334))
names(J334)[3]="Keskmiselt \n rahul"
J334=pivot_longer(J334,2:4)
J334$name=as.factor(J334$name)
J334$name=factor(J334$name,levels(J334$name)[order(c(2,3,1))])
J334$X=as.factor(J334$X)
J334$X=factor(J334$X,levels(J334$X)[order(c(4,6,5,3,1,2))])

#joonis
ggplot(J334)+
  geom_col(aes(x=X,y=value,fill=name),pos=position_dodge(0.8),width=0.7)+
  theme_minimal()+
  theme(legend.position = "bottom")+
  coord_flip()+
  scale_fill_manual(values=c("#81DBFE","#F25D23","#38bf7b"),breaks=c("Väga rahul","Keskmiselt \n rahul","Vähe rahul"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  scale_y_continuous(limits=c(0,4),breaks=c(0,1,2,3,4))+
  scale_x_discrete(labels = wrap_format(25))+
  theme(legend.title = element_blank())+
  ylab("")+
  xlab("")






